Pwned - Simple CLI Script To Check If You Have A Password That Has Been Compromised In A Data Breach


Pwned is a simple command-line python script to check if you have a password that has been compromised in a data breach. This script uses haveibeenpwned API to check whether your passwords were leaked during one of the many breaches of online services.
This API uses k-Anonymity model that allows a password to be searched for by partial hash in order to anonymously verify if a password was leaked without disclosing the searched password.

How pwned script works

Git Installation
# clone the repo
$ git clone https://github.com/sameera-madushan/Pwned.git

# change the working directory to Pwned
$ cd Pwned

# install the requirements
$ pip3 install -r requirements.txt

Usage
python pwned.py -p <your password here>

Support & Contributions
  • Please ⭐️ this repository if this project helped you!
  • Contributions of any kind welcome!

License
MIT ©sameera-madushan


Pwned - Simple CLI Script To Check If You Have A Password That Has Been Compromised In A Data Breach Pwned - Simple CLI Script To Check If You Have A Password That Has Been Compromised In A Data Breach Reviewed by Zion3R on 5:30 PM Rating: 5